/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.person.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.person.entity.TagConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(TagMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class TagMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "tagMeta";

  @Inject
  private transient Messages messages;

  public TagMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBemerkungEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_BEMERKUNG_EINZAHL;
  }

  public String getBemerkungMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_BEMERKUNG_MEHRZAHL;
  }


  public String getBemerkungEinzahlMessage(){
    return getMessage(getBemerkungEinzahlMessageKey());
  }

  public String getBemerkungMehrzahlMessage(){
    return getMessage(getBemerkungMehrzahlMessageKey());
  }



  public boolean isBemerkungRequired() {
    return !TagConstants.BEMERKUNG_NULLABLE;
  }

  public java.lang.String getBemerkungDefaultValue() {
    return TagConstants.BEMERKUNG_DEFAULT_VALUE;
  }

  public int getBemerkungMaxLength() {
    return TagConstants.BEMERKUNG_MAX_LENGTH;
  }

  public String getNameEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !TagConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return TagConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return TagConstants.NAME_MAX_LENGTH;
  }

  public String getNameNormalisiertEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NAME_NORM_EINZAHL;
  }

  public String getNameNormalisiertMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NAME_NORM_MEHRZAHL;
  }


  public String getNameNormalisiertEinzahlMessage(){
    return getMessage(getNameNormalisiertEinzahlMessageKey());
  }

  public String getNameNormalisiertMehrzahlMessage(){
    return getMessage(getNameNormalisiertMehrzahlMessageKey());
  }



  public boolean isNameNormalisiertRequired() {
    return !TagConstants.NAME_NORM_NULLABLE;
  }

  public java.lang.String getNameNormalisiertDefaultValue() {
    return TagConstants.NAME_NORM_DEFAULT_VALUE;
  }

  public int getNameNormalisiertMaxLength() {
    return TagConstants.NAME_NORM_MAX_LENGTH;
  }

  public String getNeuerNameEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NEUER_NAME_EINZAHL;
  }

  public String getNeuerNameMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_NEUER_NAME_MEHRZAHL;
  }


  public String getNeuerNameEinzahlMessage(){
    return getMessage(getNeuerNameEinzahlMessageKey());
  }

  public String getNeuerNameMehrzahlMessage(){
    return getMessage(getNeuerNameMehrzahlMessageKey());
  }



  public boolean isNeuerNameRequired() {
    return !TagConstants.NEUER_NAME_NULLABLE;
  }

  public java.lang.String getNeuerNameDefaultValue() {
    return TagConstants.NEUER_NAME_DEFAULT_VALUE;
  }

  public int getNeuerNameMaxLength() {
    return TagConstants.NEUER_NAME_MAX_LENGTH;
  }

  public String getStatusEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_STATUS_EINZAHL;
  }

  public String getStatusMehrzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_STATUS_MEHRZAHL;
  }


  public String getStatusEinzahlMessage(){
    return getMessage(getStatusEinzahlMessageKey());
  }

  public String getStatusMehrzahlMessage(){
    return getMessage(getStatusMehrzahlMessageKey());
  }



  public boolean isStatusRequired() {
    return !TagConstants.STATUS_NULLABLE;
  }

  public de.ivu.elect.business.person.entity.TagStatus getStatusDefaultValue() {
    return TagConstants.STATUS_DEFAULT_VALUE;
  }



  public String getMandantEinzahlMessageKey(){
    return TagConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !TagConstants.MANDANT_ID_NULLABLE;
  }

}